# Uses of Interface
org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler

Packages that use AsyncUncaughtExceptionHandler
Package
Description
org.springframework.aop.interceptor
Provides miscellaneous interceptor implementations.

## Uses of AsyncUncaughtExceptionHandler in org.springframework.aop.interceptor

Classes in org.springframework.aop.interceptor that implement AsyncUncaughtExceptionHandler
Modifier and Type
Class
Description
`class`
`SimpleAsyncUncaughtExceptionHandler`
A default `AsyncUncaughtExceptionHandler` that simply logs the exception.
Methods in org.springframework.aop.interceptor with parameters of type AsyncUncaughtExceptionHandler
Modifier and Type
Method
Description
`void`
AsyncExecutionAspectSupport.`setExceptionHandler(AsyncUncaughtExceptionHandler exceptionHandler)`
Supply the `AsyncUncaughtExceptionHandler` to use to handle exceptions thrown by invoking asynchronous methods with a `void` return type.
Constructors in org.springframework.aop.interceptor with parameters of type AsyncUncaughtExceptionHandler
Modifier
Constructor
Description
``
`AsyncExecutionAspectSupport(Executor defaultExecutor, AsyncUncaughtExceptionHandler exceptionHandler)`
Create a new `AsyncExecutionAspectSupport` with the given exception handler.
``
`AsyncExecutionInterceptor(Executor defaultExecutor, AsyncUncaughtExceptionHandler exceptionHandler)`
Create a new `AsyncExecutionInterceptor`.